# -*- coding: utf-8 -*-
from setuphelpers import *
import json

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls

app_name = "TigerVNC Viewer"


def install():
    # Declaring local variables
    bin_name = glob.glob("*TigerVNC-*.dmg")[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_dmg(bin_name)


def uninstall():
    # Uninstalling the software
    print(app_name)
    for to_uninstall in installed_softwares(name=app_name):
        print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
        killalltasks(control.impacted_process.split(","))
        app_path = to_uninstall["install_location"]
        if app_path.startswith("/Applications/"):
            remove_tree(app_path)
        print('Application "%s" deleted' % (app_name))
